package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 审批老师的数据
 *
 * @author Mount Liu
 * @date 2019/2/28
 */
@Entity
@Table(name = "tb_lib_manager_audit")
public class TbLibManagerAudit extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * tb_lib_manager.id
     */
    private String libManagerId;
    private String name;
    private Integer sex;
    private String telephone;
    private String subject;
    private String lon;
    private String lat;
    private String address;
    /**
     * 机构id
     */
    private String orgId;
    /**
     * 机构名称
     */
    private String orgName;
    /**
     * 10：机构老师（同tb_lib_manager.type）
     */
    private int type;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 审核状态（0：未审核，1：审批通过，2：审批拒绝，3：审核中）
     */
    private int status;
    /**
     * 最后更新时间（审批时间）
     */
    private Date lastUpdateTime;
    /**
     * 教师资格证书（学生/毕业证）
     */
    private String certification;
    /**
     * 身份证号
     */
    private String idNum;
    /**
     * 身份证正面
     */
    private String idFace;
    /**
     * 身份证反面
     */
    private String idCon;
    /**
     * 学校
     */
    private String school;
    /**
     * 管理员id
     */
    private String managerId;
    /**
     * 年级
     */
    private String grade;
    /**
     * 可批改时间段(多个以这种方式：周一;周二)
     */
    private String period;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 拒绝原因
     */
    private String reason;
    /**
     * 更新过的字段(多个字段用,隔开)
     */
    private String updateField;
    /**
     * 持卡人
     */
    private String cardholder;
    /**
     * 卡号
     */
    private String cardNumber;
    /**
     * 开户支行
     */
    private String bankBranch;
    /**
     * 银行名
     */
    private String bankName;
    /**
     * 银行图标
     */
    private String bankIcon;
    /**
     * 馆id
     */
    private String libId;
    /**
     * 专业
     */
    private String major;
    /**
     * 权限（用在录题管理员(1练习册加工，2练习册审核，3练习册解析，4练习册解审，5KMT加工，6KMT审核)(多个类型以这种方式：1,2,3,4,5,6)）
     */
    private String authority;
    /**
     * 银行卡正面
     */
    private String bankcardFace;
    /**
     * 银行卡反面
     */
    private String bankcardCon;

    public String getBankcardFace() {
        return bankcardFace;
    }

    public void setBankcardFace(String bankcardFace) {
        this.bankcardFace = bankcardFace;
    }

    public String getBankcardCon() {
        return bankcardCon;
    }

    public void setBankcardCon(String bankcardCon) {
        this.bankcardCon = bankcardCon;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getAuthority() {
        return authority;
    }

    public void setAuthority(String authority) {
        this.authority = authority;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getUpdateField() {
        return updateField;
    }

    public void setUpdateField(String updateField) {
        this.updateField = updateField;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getLibManagerId() {
        return libManagerId;
    }

    public void setLibManagerId(String libManagerId) {
        this.libManagerId = libManagerId;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }


    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }


    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }


    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getIdCon() {
        return idCon;
    }

    public void setIdCon(String idCon) {
        this.idCon = idCon;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }
}